Skip to main content
POST
/
v1
/
connector-targets
/
{connectorTargetId}
/
mappings
Create connector mapping
curl --request POST \
  --url https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings \
  --header 'Content-Type: application/json' \
  --data '
{
  "selector": "<string>",
  "pluginId": "<string>",
  "autoAddToPlugin": false,
  "config": {}
}
'
import requests

url = "https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings"

payload = {
    "selector": "<string>",
    "pluginId": "<string>",
    "autoAddToPlugin": False,
    "config": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({selector: '<string>', pluginId: '<string>', autoAddToPlugin: false, config: {}})
};

fetch('https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorTargetId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "selector": "<string>",
    "pluginId": "<string>",
    "autoAddToPlugin": true,
    "mappingConfigJson": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
  "error": "<string>",
  "details": [
    {
      "message": "<string>",
      "path": [
        "<string>"
      ]
    }
  ]
}
{
  "error": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Path Parameters

connectorTargetId
string<typeid>
required

Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^ctg_.*

Body

application/json
mappingKind
enum<string>
required
Available options:
path,
api,
custom
selector
string
required
Required string length: 1 - 255
objectType
enum<string>
required
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
pluginId
string<typeid> | null

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
autoAddToPlugin
boolean
default:false
config
object

Response

Connector mapping created successfully.

ok
boolean
required
item
object
required